## GladeSignal

GladeSignal

## Functions

GladeSignal * | glade_signal_new ()
GladeSignal * | glade_signal_clone ()
gboolean | glade_signal_equal ()
GladeSignal * | glade_signal_read ()
void | glade_signal_write ()
void | glade_signal_editor_enable_dnd ()
gboolean | glade_signal_get_after ()
const GladeSignalDef * | glade_signal_get_def ()
const gchar * | glade_signal_get_detail ()
const gchar * | glade_signal_get_handler ()
const gchar * | glade_signal_get_name ()
const gchar * | glade_signal_get_support_warning ()
gboolean | glade_signal_get_swapped ()
const gchar * | glade_signal_get_userdata ()
void | glade_signal_set_after ()
void | glade_signal_set_detail ()
void | glade_signal_set_handler ()
void | glade_signal_set_support_warning ()
void | glade_signal_set_swapped ()
void | glade_signal_set_userdata ()

## Properties

gboolean | after | Read / Write
gpointer | class | Read / Write / Construct Only
gchar * | detail | Read / Write
gchar * | handler | Read / Write
gchar * | support-warning | Read / Write
gboolean | swapped | Read / Write
gchar * | userdata | Read / Write

## Types and Values

struct | GladeSignal

## Object Hierarchy

        GObject
        ╰── GladeSignal

## Description

## Functions

### glade_signal_new ()

    GladeSignal *
    glade_signal_new (const GladeSignalDef *sig_def,
                      const gchar *handler,
                      const gchar *userdata,
                      gboolean after,
                      gboolean swapped);

Creates a new GladeSignal with the given parameters.

#### Parameters

sig_def | a GladeSignalDef |
handler | a handler function for the signal |
userdata | the userdata for this signal |
after | whether this handler should be called after the default emission phase |
swapped | whether the handler's user data should be swapped with the emitter instance. |

#### Returns

the new GladeSignal

### glade_signal_clone ()

    GladeSignal *
    glade_signal_clone (const GladeSignal *signal);

#### Parameters

signal | a GladeSignal |

#### Returns

a new GladeSignal with the same attributes as `signal` .

[transfer full]

### glade_signal_equal ()

    gboolean
    glade_signal_equal (const GladeSignal *sig1,
                        const GladeSignal *sig2);

#### Parameters

sig1 | a GladeSignal |
sig2 | a GladeSignal |

#### Returns

`TRUE` if `sig1` and `sig2` have identical attributes, `FALSE` otherwise

### glade_signal_read ()

    GladeSignal *
    glade_signal_read (GladeXmlNode *node,
                       GladeWidgetAdaptor *adaptor);

Reads and creates a ner GladeSignal based on `node`

#### Parameters

node | The GladeXmlNode to read |
adaptor | The GladeWidgetAdaptor for the widget |

#### Returns

A newly created GladeSignal.

[transfer full]

### glade_signal_write ()

    void
    glade_signal_write (GladeSignal *signal,
                        GladeXmlContext *context,
                        GladeXmlNode *node);

Writes `signal` to `node`

#### Parameters

signal | The GladeSignal |
context | A GladeXmlContext |
node | A GladeXmlNode |

### glade_signal_editor_enable_dnd ()

    void
    glade_signal_editor_enable_dnd (GladeSignalEditor *editor,
                                    gboolean enabled);

If drag and drop support is enabled, the user will be able to drag signal handler from the tree to some editor. The type of the dnd data will be "application/x-glade-signal" and it will be in the form of "widget:signal:handler" so for example "GtkToggleButton:toggled:on_toggle_button_toggled".

#### Parameters

editor | a GladeSignalEditor |
enabled | whether the drag and drop support should be enabled |

### glade_signal_get_after ()

    gboolean
    glade_signal_get_after (const GladeSignal *signal);

Get whether the handler should be called before or after the default handler of the signal.

#### Parameters

signal | a GladeSignal |

#### Returns

Whether the signal handler should be called after the default handler

### glade_signal_get_def ()

    const GladeSignalDef *
    glade_signal_get_def (const GladeSignal *signal);

Get the signal definition.

#### Parameters

signal | a GladeSignal |

#### Returns

the GladeSignalDef.

[transfer none]

### glade_signal_get_detail ()

    const gchar *
    glade_signal_get_detail (const GladeSignal *signal);

Get the signal detail.

#### Parameters

signal | a GladeSignal |

#### Returns

the detail of the signal

### glade_signal_get_handler ()

    const gchar *
    glade_signal_get_handler (const GladeSignal *signal);

Get the signal handler.

#### Parameters

signal | a GladeSignal |

#### Returns

the handler of the signal

### glade_signal_get_name ()

    const gchar *
    glade_signal_get_name (const GladeSignal *signal);

Get the name of the signal from the signal definition.

#### Parameters

signal | a GladeSignal |

#### Returns

The name of the signal

### glade_signal_get_support_warning ()

    const gchar *
    glade_signal_get_support_warning (const GladeSignal *signal);

### glade_signal_get_swapped ()

    gboolean
    glade_signal_get_swapped (const GladeSignal *signal);

Get whether the instance and userdata arguments should be swapped.

#### Parameters

signal | a GladeSignal |

#### Returns

whether the instance and userdata arguments should be swapped

### glade_signal_get_userdata ()

    const gchar *
    glade_signal_get_userdata (const GladeSignal *signal);

Get the userdata handler.

#### Parameters

signal | a GladeSignal |

#### Returns

the userdata of the signal

### glade_signal_set_after ()

    void
    glade_signal_set_after (GladeSignal *signal,
                            gboolean after);

Set whether the handler should be called before or after the default handler of the signal.

#### Parameters

signal | a GladeSignal |
after | if the signal handler should be called after the default handler |

### glade_signal_set_detail ()

    void
    glade_signal_set_detail (GladeSignal *signal,
                             const gchar *detail);

Set the detail of the signal.

#### Parameters

signal | a GladeSignal |
detail | the detail of the signal |

### glade_signal_set_handler ()

    void
    glade_signal_set_handler (GladeSignal *signal,
                              const gchar *handler);

Set the handler of the signal.

#### Parameters

signal | a GladeSignal |
handler | the handler of the signal |

### glade_signal_set_support_warning ()

    void
    glade_signal_set_support_warning (GladeSignal *signal,
                                      const gchar *support_warning);

### glade_signal_set_swapped ()

    void
    glade_signal_set_swapped (GladeSignal *signal,
                              gboolean swapped);

Set whether the instance and userdata arguments should be swapped.

#### Parameters

signal | a GladeSignal |
swapped | if the instance and userdata arguments should be swapped |

### glade_signal_set_userdata ()

    void
    glade_signal_set_userdata (GladeSignal *signal,
                               const gchar *userdata);

Set the userdata of the signal.

#### Parameters

signal | a GladeSignal |
userdata | the userdata of the signal |

## Types and Values

### struct GladeSignal

    struct GladeSignal;

## Property Details

### The `“after”` property

      “after”                    gboolean

Whether this signal is run after default handlers.

Owner: GladeSignal

Flags: Read / Write

Default value: FALSE

### The `“class”` property

      “class”                    gpointer

The signal class of this signal.

Owner: GladeSignal

Flags: Read / Write / Construct Only

### The `“detail”` property

      “detail”                   gchar *

The detail for this signal.

Owner: GladeSignal

Flags: Read / Write

Default value: NULL

### The `“handler”` property

      “handler”                  gchar *

The handler for this signal.

Owner: GladeSignal

Flags: Read / Write

Default value: NULL

### The `“support-warning”` property

      “support-warning”          gchar *

The versioning support warning for this signal.

Owner: GladeSignal

Flags: Read / Write

Default value: NULL

### The `“swapped”` property

      “swapped”                  gboolean

Whether the user data is swapped with the instance for the handler.

Owner: GladeSignal

Flags: Read / Write

Default value: FALSE

### The `“userdata”` property

      “userdata”                 gchar *

The user data for this signal.

Owner: GladeSignal

Flags: Read / Write

Default value: NULL